Package org.opensaml.xmlsec.algorithm

# Interface KeySpecifiedAlgorithm

All Superinterfaces:
  `AlgorithmDescriptor`

All Known Subinterfaces:
  `BlockEncryptionAlgorithm`, `KeyTransportAlgorithm`, `SignatureAlgorithm`, `SymmetricKeyWrapAlgorithm`

All Known Implementing Classes:
  `BlockEncryptionAES128CBC`, `BlockEncryptionAES128GCM`, `BlockEncryptionAES192CBC`, `BlockEncryptionAES192GCM`, `BlockEncryptionAES256CBC`, `BlockEncryptionAES256GCM`, `BlockEncryptionDESede`, `KeyTransportRSA15`, `KeyTransportRSAOAEP`, `KeyTransportRSAOAEPMGF1P`, `SignatureDSASHA1`, `SignatureDSASHA256`, `SignatureECDSASHA1`, `SignatureECDSASHA224`, `SignatureECDSASHA256`, `SignatureECDSASHA384`, `SignatureECDSASHA512`, `SignatureRSAMD5`, `SignatureRSARIPEMD160`, `SignatureRSASHA1`, `SignatureRSASHA224`, `SignatureRSASHA256`, `SignatureRSASHA384`, `SignatureRSASHA512`, `SignatureRSASSA_PSS_SHA1_MGF1`, `SignatureRSASSA_PSS_SHA224_MGF1`, `SignatureRSASSA_PSS_SHA256_MGF1`, `SignatureRSASSA_PSS_SHA3_224_MGF1`, `SignatureRSASSA_PSS_SHA3_256_MGF1`, `SignatureRSASSA_PSS_SHA3_384_MGF1`, `SignatureRSASSA_PSS_SHA3_512_MGF1`, `SignatureRSASSA_PSS_SHA384_MGF1`, `SignatureRSASSA_PSS_SHA512_MGF1`, `SymmetricKeyWrapAES128`, `SymmetricKeyWrapAES192`, `SymmetricKeyWrapAES256`, `SymmetricKeyWrapDESede`

public interface KeySpecifiedAlgorithm extends AlgorithmDescriptor
Interface for algorithm descriptors which specify a key type.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
Get the JCA key type specified by this algorithm.

### Methods inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`getJCAAlgorithmID, getType, getURI`

## Method Details

### getKey

@Nonnull @NotEmpty String getKey()
Get the JCA key type specified by this algorithm.

Returns:
  the key type